Package org.eclipse.rdf4j.model

## Interface Triple

- All Superinterfaces:
    `Resource`, `Serializable`, `Value`
  All Known Implementing Classes:
    `AbstractTriple`, `MemTriple`, `SimpleTriple`

      @Experimental
      public interface Triple
      extends Resource

  An RDF-star embedded triple. Embedded triples have a subject, predicate and object. Unlike `Statement`, a triple never has an associated context.

  Additional utility functionality for working with `Triple` objects is available in the `Statements` and `Values` utility classes.

  Author:
    Pavel Mihaylov
  See Also:
    RDF-star and SPARQL-star Draft Community Group Report

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` | Compares this triple to another object.
    `Value` | `getObject()` | Gets the object of this triple.
    `IRI` | `getPredicate()` | Gets the predicate of this triple.
    `Resource` | `getSubject()` | Gets the subject of this triple.
    `int` | `hashCode()` | Computes the hash code of this triple.
    `default boolean` | `isTriple()` | Check if the object is an instance of the given type.

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, stringValue`

- - ### Method Detail

    - #### isTriple

          default boolean isTriple()

      Description copied from interface: `Value`
      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Specified by:
        `isTriple` in interface `Value`
      Returns:
        true if instance of `Triple`

    - #### getSubject

          Resource getSubject()

      Gets the subject of this triple.
      Returns:
        The triple's subject.

    - #### getPredicate

          IRI getPredicate()

      Gets the predicate of this triple.
      Returns:
        The triple's predicate.

    - #### getObject

          Value getObject()

      Gets the object of this triple.
      Returns:
        The triple's object.

    - #### equals

          boolean equals​(Object other)

      Compares this triple to another object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `other` - the object to compare this triple to
      Returns:
        `true` if the `other` object is an instance of `Triple` and if their subjects, predicates and objects are equal; `false` otherwise

    - #### hashCode

          int hashCode()

      Computes the hash code of this triple.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this triple computed as `Objects.hash`( `getSubject()`, `getPredicate()`, `getObject()`)